package de.juplo.allbridge.test.a;


import de.juplo.allbridge.AllBridge;
import java.util.Set;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import org.hibernate.search.annotations.Field;
import org.hibernate.search.annotations.FieldBridge;
import org.hibernate.search.annotations.Indexed;
import org.hibernate.search.annotations.IndexedEmbedded;



/**
 * Foo
 * @author kai
 */
@Entity(name="foo_a")
@Indexed
public class Foo
{
  @Id
  private Long id;
  @Field(name="ALL")
  public String name;
  @OneToMany(mappedBy="foo")
  @IndexedEmbedded(prefix="bar.")
  @Field(name="ALL", bridge=@FieldBridge(impl=AllBridge.class))
  public Set<Bar> bars;
}
